Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class RuntimeMBeanException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--javax.management.JMRuntimeException
                              |
                              +--javax.management.RuntimeMBeanException

public class RuntimeMBeanException
extends javax.management.JMRuntimeException

his class represents runtime exceptions thrown by MBean methods in the agent. It "wraps" the actual java.lang.RuntimeException exception thrown. This exception will be built by the MBeanServer when a call to an MBean method throws a runtime exception.

See Also:
  Serialized Form

Constructor Summary
`RuntimeMBeanException(java.lang.RuntimeException e)` Creates a RuntimeMBeanException that wraps the actual java.lang.RuntimeException.
`RuntimeMBeanException(java.lang.RuntimeException e, java.lang.String message)` Creates a RuntimeMBeanException that wraps the actual java.lang.RuntimeException with a detail message.

Method Summary
`java.lang.RuntimeException` | `getTargetException()` Returns the actual java.lang.RuntimeException thrown

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RuntimeMBeanException

    public RuntimeMBeanException(java.lang.RuntimeException e)

  Creates a RuntimeMBeanException that wraps the actual java.lang.RuntimeException.

### RuntimeMBeanException

    public RuntimeMBeanException(java.lang.RuntimeException e,
                                 java.lang.String message)

  Creates a RuntimeMBeanException that wraps the actual java.lang.RuntimeException with a detail message.

Method Detail

### getTargetException

    public java.lang.RuntimeException getTargetException()

  Returns the actual java.lang.RuntimeException thrown

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD